#include <iostream>
#include <string>
#include <cstddef>
#include <stdio.h>
using namespace std;
int main()
{
    string x,y,z,q,w,u,p,r,t,o,v;
    int g,h;
    scanf("%s %s %s", &x,&y,&z);
    getline(cin,u);
    g=u.find(' ');
    h=u.find(' ',g);
    x=u.substr(0,g-1);
    y=u.substr(g+1,h-1);
    g=u.length();
    z=u.substr(h+1,g);
    q=x+y+z;
    w=x+z+y;
    p=y+x+z;
    r=y+z+x;
    t=z+x+y;
    o=z+y+x;
    v=min(min(min(q,w),min(p,r)),min(t,o));
    printf("%s", z+x);
    cout<<endl<<v;
    return 0;
}